.offer {

    &__main {
        margin-bottom: rem(18);
    }

    &__header {
        font-weight: 700;
        text-align: center;
        font-size: rem(31);
        line-height: rem(47);
        margin-bottom: rem(15);
    }

    &__subtitle {
        text-align: center;
        font-size: rem(18);
        line-height: rem(27);
        margin-bottom: rem(21);
    }

    &__form {
        margin-bottom: rem(20);
    }

    &__row {
        display: grid;
        grid-row-gap: rem(8);
        grid-template-columns: 1fr;
        margin-bottom: rem(16);
    }

    &__item {

    }

    &__privacy {
        margin-bottom: rem(19);
    }

    &__button {
        text-align: center;

        .btn {
            width: 100%;
        }
    }

    &__text {
        text-align: center;
        font-size: rem(16);
        line-height: rem(25);
    }

    &__media {
        margin: 0 rem(-50);
    }

    &__image {
        margin: 0 auto;
        max-width: rem(390);
    }

    @include media-breakpoint-up(md) {

        &__form {
            margin-left: auto;
            margin-right: auto;
            width: rem(520);
            margin-bottom: rem(25);
        }

        &__header {
            font-size: rem(38);
            line-height: rem(52);
            margin-bottom: rem(25);
        }

        &__subtitle {
            margin-bottom: rem(50);
        }

        &__privacy {
            text-align: center;
        }

        &__button {

            .btn {
                width: auto;
                min-width: rem(320);
            }
        }


        &__image {
            max-width: rem(430);
        }
    }

    @include media-breakpoint-up(lg) {

        &__form {
            width: 100%;
        }

        &__row {
            margin-bottom: rem(14);
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr 1fr;
        }

        &__privacy {
            margin-bottom: rem(14);
        }
    }

    @include media-breakpoint-up(xl) {

        &__wrap {
            height: rem(600);
            position: relative;
        }

        &__main {
            z-index: 10;
            position: relative;
        }

        &__media {
            z-index: 1;
            top: 0;
            margin: 0;
            right: rem(-680);
            width: rem(900);
            position: absolute;
            max-width: inherit;
        }

        &__image {
            width: 100%;
            max-width: inherit;
        }
    }
}
